LIVE-BUILD(7)

NOM
live-build - la suite d'outils live systems

SYNOPSIS
lb COMMAND [-h|--help] [-u|--usage] [-v|--version] [--breakpoints] [--conffile] [--debug] [--force] [--quiet] [--verbose]

DESCRIPTION
live-build est un ensemble de scripts pour construire des images de système live. L'idée derrière live-build est une suite d'outils qui utilise un répertoire de configuration pour automatiser complètement et personnaliser tous les aspects de la construction d'une image Live.

La COMMANDE est un nom d'une commande live-build (voir ci-dessous).

Davantage de documentation à propos de la façon d'utiliser live-build est disponible dans les pages de manuel individuelles de chaque assistant ainsi que dans le manual à <http://live-systems.org/manual/>.

OPTIONS

  Options live-build partagées
Les options en ligne de commande suivantes sont supportées par l'ensemble des programmes live-build.

-h, --help
    affiche l'aide et quitte

-u, --usage
    affiche l'utilisation et quitte

-v, --version
    affiche les informations de version et quitte

  Options live-build communes
Les options de lignes de commandes suivantes sont supportées par la plupart des programmes live-build. Voir la page de manuel de chaque programme pour une explication complète de ce que chaque option fait.

--breakpoints
    lance avec des points d'arrêt (breakpoints).

--conffile
    utilise un fichier de configuration personnalisé.

--debug
    affiche des informations de déboguage.

--force
    force l'exécution d'un assistant, même si le fichier de stage existe.

--quiet
    soit discret.

--verbose
    soit verbeux.

COMMANDES LIVE-BUILD
Nous divisons live-build entre des commandes de haut-niveau ("porcelaine") et de bas-niveau ("plomberie").

Voici une liste complète de toutes les commandes live-build disponibles. Consultez leurs pages de manuel pour obtenir de la documentation additionnelle.

COMMANDES HAUT-NIVEAU (PORCELAINE)
Nous séparons les commandes porcelaine en commandes principales et en utilitaires utilisateur auxiliaires.

  Commandes porcelaine principales

lb_config(1)
    crée une configuration pour live-build

lb_bootstrap(1)
    crée le premier stage en amorçant un système debian basique

lb_chroot(1)
    crée un deuxième stage en personnalisant le chroot

lb_binary(1)
    crée le troisième stage en générant une image binaire

lb_source(1)
    crée le quatrième stage optionel en générant une image source

lb_clean(1)
    nettoie les répertoires de construction du système

  Commandes auxiliaires

lb(1)
    emballage live-build générique

lb_build(1)
    alias pour tous les stages

lb_local(1)
    assistant pour l'utilisation d'un live-build local

lb_testroot(1)
    s'assure que le système est construit en tant qu'administrateur (root)

COMMANDES BAS-NIVEAU (PLOMBERIE)
Le travail réel de live-build est implémenté dans les commandes bas-niveau, appelées plomberie. Elles ne sont pas supposées être utilisées par les utilisateurs finaux, ils devraient rester avec les porcelaines puisqu'elles s'assurent que toutes les différentes commandes de plomberie sont exécutées dans le bon ordre. Toutefois, si vous prévoyez de ré-utiliser les commandes live-build dans vos propres scripts, alors les plomberies pourraient vous intéresser.

Notez que l'interface (ensemble des options et des semantiques) de ces commandes bas-niveau sont pensées pour être beaucoup plus stables que les commandes de niveau Porcelaine. D'un autre côté, l'interface des commandes Porcelaine sont sujettes à changement afin d'améliorer l'expérience de l'utilisateur final.

  Commandes d'amorçage

lb_bootstrap_cache(1)
    stage d'amorçage cache

lb_bootstrap_debootstrap(1)
    amorçcer un système Debian avec debootstrap(8)

  Commandes chroot

lb_chroot_apt(1)
    gère /etc/apt/apt.conf

lb_chroot_cache(1)
    stage de chroot cache

lb_chroot_debianchroot(1)
    gère /etc/debian_chroot

lb_chroot_devpts(1)
    monte /dev/pts

lb_chroot_dpkg(1)
    gère /sbin/dpkg

lb_chroot_hacks(1)
    exécute les hacks dans le chroot

lb_chroot_hostname(1)
    gère /bin/hostname

lb_chroot_hosts(1)
    gère /etc/hosts

lb_chroot_install-packages(1)
    installe les paquets en attente dans le chroot

lb_chroot_interactive(1)
    rend la construction intéractive

lb_chroot_linux-image(1)
    gère /etc/kernel-img.conf

lb_chroot_hooks(1)
    exécute les hooks locaux dans le chroot

lb_chroot_local-includes(1)
    copie les fichiers locaux dans le chroot

lb_chroot_packages(1)
    met en attente l'installation des paquets dans le chroot

lb_chroot_local-patches(1)
    appliques les rustines locales dans le chroot

lb_chroot_local-preseed(1)
    utilise un fichier de pré-configuration local debconf

lb_chroot_packagelists(1)
    met en attente l'installation des listes de paquets dans le chroot

lb_chroot_proc(1)
    monte /proc

lb_chroot_resolv(1)
    gère /etc/resolv.conf

lb_chroot_selinuxfs(1)
    monte /selinux

lb_chroot_archives(1)
    gère /etc/apt/sources.list

lb_chroot_sysfs(1)
    gère /sys

lb_chroot_sysv-rc(1)
    gère /usr/sbin/policy-rc.d

lb_chroot_task-lists(1)
    installe les listes de tâches dans le chroot

  Commandes binaires

lb_binary_chroot(1)
    copie le chroot dans le chroot

lb_binary_debian-installer(1)
    installe debian-installer dans le binaire

lb_binary_disk(1)
    installe les informations de disque dans le binaire

lb_binary_grub(1)
    installe grub dans le binaire

lb_binary_grub2(1)
    installe grub2 dans le binaire

lb_binary_includes(1)
    copie les fichiers dans le binaire

lb_binary_iso(1)
    construit l'image binaire iso

lb_binary_linux-image(1)
    installe linux-image dans le binaire

lb_binary_local-hooks(1)
    exécute les hooks locaux dans le binaire

lb_binary_local-includes(1)
    copie les fichiers dans le binaire

lb_binary_local-packagelists(1)
    installe les listes de paquets locaux dans le binaire

lb_binary_manifest(1)
    crée le manifeste

lb_binary_checksums(1)
    crée les sommes de vérification binaires (md5, sha1, et/ou sha256)

lb_binary_memtest(1)
    installe memtest dans le binaire

lb_binary_net(1)
    construit l'image binaire netboot

lb_binary_rootfs(1)
    construit l'image rootfs

lb_binary_syslinux(1)
    installe syslinux dans le binaire

lb_binary_tar(1)
    construit une image binaire pour disque dur

lb_binary_hdd(1)
    construit une image binaire hdd

lb_binary_win32-loader(1)
    installe win32-loader dans le binaire

  Commandes source

lb_source_debian(1)
    télécharge les sources

lb_source_debian-live(1)
    copie la configuration debian-live dans la source

lb_source_disk(1)
    installe les informations de disque dans la source

lb_source_iso(1)
    construit l'image source iso

lb_source_checksums(1)
    crée les sommes de vérification binaires (md5, sha1, et/ou sha256)

lb_source_net(1)
    construit l'image net source

lb_source_tar(1)
    construit le tarball source

lb_source_hdd(1)
    construit l'image hdd source

FICHIERS DE CONFIGURATION
Plusieurs commandes live-build utilisent des fichiers dans le répertoire config/ pour contrôler ce qu'elles font. En plus du config/common commun, qui est utilisé par toutes les commandes live-build, plusieurs fichiers additionels peuvent être utilisés pour configurer le comportement de commandes live-build spécifiques. Ces fichiers sont typiquement nommés config/stage ou config/stage_assistant (où "stage" est évidemment remplacé par le nom du stage auquel il appartient, "assistant" par le nom de l'assistant).

Par exemple, lb_bootstrap_debootstrap utilise des fichiers nommés config/bootstrap et config/bootstrap_debootstrap pour lire les options qu'il utilisera. Voir les pages des commandes individuelles de manuel pour des détails à propos des noms et des formats de fichiers qu'ils utilisent. Généralement, ces fichiers contiennent des variables avec des valeurs assignées, une variable par ligne. Plusieurs programmes dans live-build utilisent des paires de valeur ou des assignations de variables légèrement plus compliquées.

Notez que live-build respectera les variables d'environment présentes dans le contexte du shell lancé. Si les variables peuvent être lues depuis les fichiers de configuration, alors elles prennent le pas sur les variables d'environement, et si les options en ligne de commande sont utilisées, elles sont prioritaires sur les fichiers de configuration. Si pour une variable donnée, aucune valeur ne peut être trouvée et donc, est non-paramétrèe, live-build la paramètrera automatiquement à la valeur par défaut.

Dans de rares cas, vous pourriez vouloir avoir différentes versions de ces fichiers pour différentes architectures ou distributions. Si des fichiers nommés config/stage.arch ou config/stage_assistant.arch, et config/stage.dist ou config/stage_assistant.dist existent, où "arch" est équivalent à la sortie de "dpkg --print-architecture" et "dist" équivalent au nom de code de la distribution cible, alors ils seront utilisés en priorité aux autres fichier plus généraux.

Tous les fichiers de configuration sont des scripts shell qui sont sourcés par un programme live-build. Ceci signifie qu'ils doivent suivre la syntaxe de shell normale. Vous pouvez également mettre des commentaires dans ces fichiers; les lignes commençant par des "#" sont ignorées.

FICHIERS

/etc/live/build.conf

/etc/live/build/*

VOIR AUSSI
live-boot(7)

live-config(7)

Ce programme est une partie de live-build.

PAGE D'ACCUEIL
Davantage d'informations à propos de live-build et du projet Live Systems peuvent être trouvées sur la page d'accueil à <http://live-systems.org/> et dans le manuel à <http://live-systems.org/manual/>.

BOGUES
Les bogues peuvent être signalés en soumettant un rapport de bogue pour le paquet live-build dans le BTS à <http://bugs.debian.org/> ou par l'écriture d'un courriel à la liste de diffusion Live Systems à <debian-live@lists.debian.org>.

AUTEUR
live-images a été écrit par Daniel Baumann <mail@daniel-baumann.ch>.